## org.apache.taglibs.standard.tag.el.sql
Class UpdateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
                  org.apache.taglibs.standard.tag.el.sql.UpdateTag

All Implemented Interfaces:
  Serializable, SQLExecutionTag, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class UpdateTag

extends UpdateTagSupport

Subclass for the JSTL library with EL support.

Author:
  Hans Bergsten
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
`dataSourceSpecified, rawDataSource, sql`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UpdateTag()`

Method Summary
`int` `doStartTag()` Prepares for execution by setting the initial state, such as getting the `Connection`
`void` `setDataSource(String dataSourceEL)`
`void` `setSql(String sqlEL)` Setter method for the SQL statement to use for the query.

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.UpdateTagSupport
`addSQLParameter, doCatch, doEndTag, doFinally, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### UpdateTag

    public UpdateTag()

Method Detail

### setDataSource

    public void setDataSource(String dataSourceEL)

### setSql

    public void setSql(String sqlEL)

  Setter method for the SQL statement to use for the query. The statement may contain parameter markers (question marks, ?). If so, the parameter values must be set using nested value elements.

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `UpdateTagSupport`
  Prepares for execution by setting the initial state, such as getting the `Connection`

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `UpdateTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.